| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::archive_options_isolate Class Reference
API

class holding optional parameters used to isolate an existing archive More...

`#include <archive_options.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| archive_options_isolate (const archive_options_isolate &ref)
const archive_options_isolate & | operator= (const archive_options_isolate &ref)
void | clear ()
void | set_allow_over (bool allow_over)
| whether overwritting is allowed
void | set_warn_over (bool warn_over)
| whether a warning shall be issued before overwriting
void | set_info_details (bool info_details)
| whether the user needs detailed output of the operation
void | set_pause (const infinint &pause)
| Pause beteween slices. Set to zero does not pause at all, set to 1 makes libdar pauses each slice, set to 2 makes libdar pause each 2 slices and so on.
void | set_compression (compression algo)
| the compression algorithm used
void | set_compression_level (U_I compression_level)
| the compression level (from 1 to 9)
void | set_slicing (const infinint &file_size, const infinint &first_file_size=0)
| define the archive slicing More...
void | set_execute (const std::string &execute)
| command to execute after each slice creation
void | set_crypto_algo (crypto_algo crypto)
| cypher to use
void | set_crypto_pass (const secu_string &pass)
| password / passphrase to encrypt the data with (empty string for interactive question)
void | set_crypto_size (U_32 crypto_size)
| size of the encryption by block to use
void | set_gnupg_recipients (const std::vector< std::string > &gnupg_recipients)
void | set_gnupg_signatories (const std::vector< std::string > &gnupg_signatories)
| the private keys matching the email of the provided list are used to sign the archive random key
void | set_empty (bool empty)
| whether to make a dry-run operation
void | set_slice_permission (const std::string &slice_permission)
| if not an empty string set the slice permission according to the octal value given.
void | set_slice_user_ownership (const std::string &slice_user_ownership)
| if not an empty string set the user ownership of slices accordingly
void | set_slice_group_ownership (const std::string &slice_group_ownership)
| if not an empty string set the group ownership of slices accordingly
void | set_user_comment (const std::string &comment)
| specify a user comment in the archive (always in clear text!)
void | set_hash_algo (hash_algo hash)
| specify whether to produce a hash file of the slice and which hash algo to use
void | set_slice_min_digits (infinint val)
| defines the minimum digit a slice must have concerning its number, zeros will be prepended as much as necessary to respect this
void | set_sequential_marks (bool sequential)
| whether to add escape sequence aka tape marks to allow sequential reading of the archive
void | set_entrepot (const entrepot &entr)
| defines the protocol to use for slices
void | set_multi_threaded (bool val)
| whether libdar is allowed to created several thread to work possibily faster on multicore CPU (require libthreadar)
bool | get_allow_over () const
bool | get_warn_over () const
bool | get_info_details () const
const infinint & | get_pause () const
compression | get_compression () const
U_I | get_compression_level () const
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const std::string & | get_execute () const
crypto_algo | get_crypto_algo () const
const secu_string & | get_crypto_pass () const
U_32 | get_crypto_size () const
const std::vector< std::string > & | get_gnupg_recipients () const
const std::vector< std::string > & | get_gnupg_signatories () const
bool | get_empty () const
const std::string & | get_slice_permission () const
const std::string & | get_slice_user_ownership () const
const std::string & | get_slice_group_ownership () const
const std::string & | get_user_comment () const
hash_algo | get_hash_algo () const
infinint | get_slice_min_digits () const
bool | get_sequential_marks () const
const entrepot & | get_entrepot () const
bool | get_multi_threaded () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

class holding optional parameters used to isolate an existing archive

Definition at line 626 of file archive_options.hpp.

## Member Function Documentation

void libdar::archive_options_isolate::set_gnupg_recipients | ( | const std::vector< std::string > & | gnupg_recipients | ) |
| inline

set the list of recipients that will be able to read the archive

Note
  more details for the same option of archive_options_create

Definition at line 686 of file archive_options.hpp.

void libdar::archive_options_isolate::set_slicing | ( | const infinint & | file_size,
|  | const infinint & | first_file_size = `0`
| ) |  |
| inline

define the archive slicing

Parameters

  [in] | file_size | set the slice size in byte (0 for a single slice whatever its size is)
  [in] | first_file_size | set the first file size

Note
  if not specified or set to zero, first_file_size is considered equal to file_size

Definition at line 663 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp